TCPIOSocket(3)

NAME
TCPIOSocket -

SYNOPSIS

Inherits TCPSocket'.

Inherited by TCPClientConnection, and TCPServerConnection'.

  Public Member Functions
int read (void *d, int n)
int write (const void *d, int n)
int read_int (int *d, int n)
int write_int (const int *d, int n)
int read_string (std::string &)
int write_string (const std::string &)
int read_int (int &)
int write_int (int)
int read_uint32 (u_int32_t &)
int write_uint32 (u_int32_t)

Author

Generated automatically by Doxygen for MPQC from the source code'.